マニュアル

サーバープログラムについて > 利用可能プログラム

シックスコアで使用できるプログラム言語
言語仕様
Perl○(バージョン 5.8.x)
PHP PHP7(バージョン 7.0.x )
PHP5(バージョン 5.6.x / 5.5.x / 5.4.x / 5.3.3 / 5.2.17 / 5.1.6 )
※PHP 5.4.x / 5.3.3 / 5.2.17 / 5.1.6 のご利用は推奨しておりません。
Ruby○(バージョン 1.8.5 / 1.9.3 / 2.0.0)
Python○(バージョン 2.4.3 / 2.7.4 / 3.3.1)
SSI

AddHandler server-parsed .html .htm と記述した .htaccess を設置することで、SSI を .html や .htm で動作させることが可能ですが、サーバー負荷とセキュリティ面から推奨しておりません。

コマンドパス一覧
コマンドパス
Perl/usr/bin/perl
/usr/local/bin/perl
PHP7.0.x/usr/bin/php7.0
PHP5.6.x/usr/bin/php5.6
PHP5.5.x/usr/bin/php5.5
PHP5.4.x/usr/bin/php5.4
PHP5.3.3/usr/bin/php5.3
PHP5.2.17/usr/bin/php5.2
PHP5.1.6/usr/bin/php
Ruby1.8.5/usr/bin/ruby
Ruby1.9.3/usr/bin/ruby1.9.3
Ruby2.0.0/usr/bin/ruby2.0.0
Python2.4.3/usr/bin/python
Python2.7.4/usr/bin/python2.7
Python3.3.1/usr/bin/python3.3
nkf/usr/bin/nkf
sendmail/usr/sbin/sendmail
/usr/lib/sendmail
gzip/usr/bin/gzip
zip/usr/bin/zip
unzip/usr/bin/unzip
lynx/usr/bin/lynx

※複数のパスがある場合は、どちらをご指定いただいても動作いたします。